curl --request GET \
--url https://actionkit.useparagon.com/projects/{project_id}/actions \
--header 'Authorization: Bearer <token>'{
"actions": {
"hubspot": [
{
"type": "function",
"function": {
"name": "HUBSPOT_CREATE_RECORD_CONTACTS",
"description": "Create a contact in HubSpot CRM",
"parameters": {
"type": "object",
"properties": {
"field-email": {
"type": "string",
"description": "Email"
},
"field-firstname": {
"type": "string",
"description": "First Name"
},
"field-lastname": {
"type": "string",
"description": "Last Name"
},
"field-jobtitle": {
"type": "string",
"description": "Job Title"
},
"field-company": {
"type": "string",
"description": "Company Name"
},
"field-hubspot_owner_id": {
"type": "string",
"description": "Contact Owner: The HubSpot user who is assigned to this contact. Use Connect Portal Workflow Settings to allow users to select an Owner. (example value: \"{{settings.owner}}\")"
},
"field-lifecyclestage": {
"type": "string",
"description": "Lifecycle Stage: Defaults to the user's first Lifecycle Stage if not provided. Use Connect Portal Workflow Settings to allow users to select a Lifecycle Stage. (example value: \"{{settings.lifecycleStage}}\")"
},
"field-hs_lead_status": {
"type": "string",
"description": "Lead Status: Defaults to the user's first Lead Status if not provided. Use Connect Portal Workflow Settings to allow users to select a Lead Status. (example value: \"{{settings.leadStatus}}\")"
},
"additionalFieldsJSON": {
"type": "string",
"description": "Additional Fields: Specify any other fields that should be updated in JSON below. Use Connect Portal Workflow Settings to allow users to select which Contact fields to update. (example value: \"{\\n \\\"property_number\\\": \\\"17\\\",\\n \\\"property_dropdown\\\": \\\"choice_b\\\",\\n \\\"property_radio\\\": \\\"option_1\\\",\\n \\\"property_string\\\": \\\"value\\\",\\n \\\"property_date\\\": \\\"1572480000000\\\"\\n}\")"
}
},
"required": [
"recordType",
"field-email"
],
"additionalProperties": false,
"$schema": "http://json-schema.org/draft-07/schema#"
}
}
}
]
},
"errors": []
}List all Actions available for a user.
curl --request GET \
--url https://actionkit.useparagon.com/projects/{project_id}/actions \
--header 'Authorization: Bearer <token>'{
"actions": {
"hubspot": [
{
"type": "function",
"function": {
"name": "HUBSPOT_CREATE_RECORD_CONTACTS",
"description": "Create a contact in HubSpot CRM",
"parameters": {
"type": "object",
"properties": {
"field-email": {
"type": "string",
"description": "Email"
},
"field-firstname": {
"type": "string",
"description": "First Name"
},
"field-lastname": {
"type": "string",
"description": "Last Name"
},
"field-jobtitle": {
"type": "string",
"description": "Job Title"
},
"field-company": {
"type": "string",
"description": "Company Name"
},
"field-hubspot_owner_id": {
"type": "string",
"description": "Contact Owner: The HubSpot user who is assigned to this contact. Use Connect Portal Workflow Settings to allow users to select an Owner. (example value: \"{{settings.owner}}\")"
},
"field-lifecyclestage": {
"type": "string",
"description": "Lifecycle Stage: Defaults to the user's first Lifecycle Stage if not provided. Use Connect Portal Workflow Settings to allow users to select a Lifecycle Stage. (example value: \"{{settings.lifecycleStage}}\")"
},
"field-hs_lead_status": {
"type": "string",
"description": "Lead Status: Defaults to the user's first Lead Status if not provided. Use Connect Portal Workflow Settings to allow users to select a Lead Status. (example value: \"{{settings.leadStatus}}\")"
},
"additionalFieldsJSON": {
"type": "string",
"description": "Additional Fields: Specify any other fields that should be updated in JSON below. Use Connect Portal Workflow Settings to allow users to select which Contact fields to update. (example value: \"{\\n \\\"property_number\\\": \\\"17\\\",\\n \\\"property_dropdown\\\": \\\"choice_b\\\",\\n \\\"property_radio\\\": \\\"option_1\\\",\\n \\\"property_string\\\": \\\"value\\\",\\n \\\"property_date\\\": \\\"1572480000000\\\"\\n}\")"
}
},
"required": [
"recordType",
"field-email"
],
"additionalProperties": false,
"$schema": "http://json-schema.org/draft-07/schema#"
}
}
}
]
},
"errors": []
}SALESFORCE_CREATE_RECORD_OPPORTUNITY Action schema.Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Your Paragon Project ID. You can copy your Project ID from your dashboard URL or by clicking Copy Project ID under the Environment switcher.
The response format for available actions.
Defaults to json_schema for tool-calling agent use cases. Learn more about available formats.
If true, only available_actions will be returned.
Otherwise, all_actions will include all Actions from Integrations in your project, regardless of the accounts your user has connected.
If true, forcibly reload any custom fields that belong to the schema for included Actions. This may result in additional latency added to your request.
By default, Paragon will cache your user's fields and refresh them periodically. Fields have a TTL of 8 hours, and reload_fields will immediately invalidate any cached fields.
Filter by specific integrations that the user has connected. By default, all integrations are returned.
"salesforce,hubspot"
Filter by specific integration categories, based on integrations the user has connected. By default, all integrations from all categories are returned.
"crm,project_management"
Was this page helpful?